<!-- <app-catalogue-sub-toolbar></app-catalogue-sub-toolbar> -->
<mat-toolbar class="dvsd-title">
    <span style="margin-left: 15px;"><h1 class="mat-h1">Network Applications Descriptor Details</h1></span>
</mat-toolbar>
<div class="dvsd-container" style="padding: 15px; background-color: #fff;" >
    <div fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style=" width: 90%">
    <table mat-table class="full-width-table dvsd-table" matSort aria-label="Elements" >
        <!-- KEY Column -->
        <ng-container matColumnDef="key">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Field</th>
            <td mat-cell *matCellDef="let row"><b>{{row.key}}</b></td>
        </ng-container>

        <!-- ExpD Column -->
        <ng-container matColumnDef="value">
            <th mat-header-cell *matHeaderCellDef>Value</th>
            <td mat-cell *matCellDef="let row"><tr *ngFor="let param of row.value"><td>{{param}}</td></tr></td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <mat-paginator #paginator style="width: 100%" fxFlex="100%" fxLayout.xs="row" fxLayout="column" fxLayoutAlign="center center"
        [length]="dataSource?.data.length"
        [pageIndex]="0"
        [pageSize]="50"
        [pageSizeOptions]="[25, 50, 100, 250]"
        class="dvsd-table">
    </mat-paginator>
</div>
</div>         
    